| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::MetaEngineMergeHelper< Data, Key, KeyString, KeyStringList > Class Template Reference

## Public Member Functions
void | exclusiveMerge (const Data &src, Data &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, the result is stored in dest.
void | mergeAll (const Data &src, Data &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, where the result is stored in dest and fields from src take precedence over existing data from dest.
void | mergeFields (const Data &src, Data &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, the result is stored in dest.
MetaEngineMergeHelper & | operator<< (const KeyString &key)

## Public Attributes
KeyStringList | keys

## Member Function Documentation

## ◆ exclusiveMerge()

template<class Data , class Key , class KeyString , class KeyStringList = QList<KeyString>>

void Digikam::MetaEngineMergeHelper< Data, Key, KeyString, KeyStringList >::exclusiveMerge | ( | const Data & | src,
|  | Data & | dest
| ) |  |
| inline

The following steps apply only to keys in "keys": The result is determined by src. Keys must exist in src to kept in dest. Fields from src take precedence over existing data from dest.

## ◆ mergeFields()

template<class Data , class Key , class KeyString , class KeyStringList = QList<KeyString>>

void Digikam::MetaEngineMergeHelper< Data, Key, KeyString, KeyStringList >::mergeFields | ( | const Data & | src,
|  | Data & | dest
| ) |  |
| inline

Only keys in keys are considered for merging. Fields from src take precedence over existing data from dest.